Create Disposition
Create a Batch Disposition record from an existing Batch and Batch Disposition Plan. Learn more about Batch Release in Vault Help
POST
/api/{version}/app/quality/batch_release/dispositionHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/json |
Body Parameters
Section link for Body ParametersInclude parameters as JSON.
| Name | Description |
|---|---|
batch_idrequired | The ID of the batch for the disposition, for example, VB6000000001001. You can find this by using Retrieve Object Records or in the URL of the Batch record detail page in the Vault UI. |
disposition_planrequired | The name of the disposition plan, for example, DP-000001. |
Request
Section link for Requestcurl --location 'https://myvault.veevavault.com/api/v26.1/app/quality/batch_release/disposition' \
--header 'Authorization: {SESSION_ID}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"batch_id":"VB6000000001001",
"disposition_plan":"DP-000001"
}'Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"job_id": "392501"
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the job_id for the Add Disposition job.